%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name vala
%global mingw_build_win32 1
%global mingw_build_win64 1
%global api_ver 0.12

Name:           mingw-vala
Version:        0.12.1
Release:        1%{?dist}
Summary:        A modern programming language for GNOME

Group:          Development/Languages
License:        LGPLv2+ and BSD
URL:            http://live.gnome.org/Vala
Source0:        http://download.gnome.org/sources/vala/0.12/vala-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  glib2-devel
BuildRequires:  libxslt

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Vala is a new programming language that aims to bring modern programming
language features to GNOME developers without imposing any additional
runtime requirements and without using a different ABI compared to
applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala source
code. It's also planned to generate GIDL files when gobject-
introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the GObject
type system.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Cross-compiled Vala compiler.
x
# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Cross-compiled Vala compiler.


%prep
%setup -q -n %{mingw_pkg_name}-%{version}

%build
%mingw_configure "--disable-vapigen"
%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{mingw32_datadir}/devhelp
rm -rf $RPM_BUILD_ROOT/%{mingw64_datadir}/devhelp
rm -rf $RPM_BUILD_ROOT/%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT/%{mingw64_mandir}

# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL MAINTAINERS NEWS README THANKS
%{mingw32_bindir}/vala.exe
%{mingw32_bindir}/valac.exe
%{mingw32_bindir}/vala-%{api_ver}.exe
%{mingw32_bindir}/valac-%{api_ver}.exe
%{mingw32_bindir}/libvala-%{api_ver}-0.dll
%{mingw32_datadir}/vala-%{api_ver}
#%files devel
%{mingw32_includedir}/vala-%{api_ver}
%{mingw32_libdir}/libvala-%{api_ver}.dll.a
%{mingw32_libdir}/libvala-%{api_ver}.la
%{mingw32_libdir}/pkgconfig/libvala-%{api_ver}.pc
# directory ownership satisfied by this chain:
# vala-devel R vala R gtk2-devel R automake
%{mingw32_datadir}/aclocal/vala.m4

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL MAINTAINERS NEWS README THANKS
%{mingw64_bindir}/vala.exe
%{mingw64_bindir}/valac.exe
%{mingw64_bindir}/vala-%{api_ver}.exe
%{mingw64_bindir}/valac-%{api_ver}.exe
%{mingw64_bindir}/libvala-%{api_ver}-0.dll
%{mingw64_datadir}/vala-%{api_ver}
#%files devel
%{mingw64_includedir}/vala-%{api_ver}
%{mingw64_libdir}/libvala-%{api_ver}.dll.a
%{mingw64_libdir}/libvala-%{api_ver}.la
%{mingw64_libdir}/pkgconfig/libvala-%{api_ver}.pc
# directory ownership satisfied by this chain:
# vala-devel R vala R gtk2-devel R automake
%{mingw64_datadir}/aclocal/vala.m4


%changelog
* Wed Jun 1 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.12.1-1
- Initial package.
